API Reference
Close a margin position
Submit a signed request to close a margin position. Can close partially or fully, with cash settlement or swap settlement.
Submit a signed request to close a margin position. Can close partially or fully, with cash settlement or swap settlement.
Authorization
ApiKeyAuth X-API-Key<token>
API key for authentication (if required by deployment)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.tristero.com/v2/orders/close-margin-position" \ -H "Content-Type: application/json" \ -d '{ "signature": "string", "domain": {}, "message": {}, "chainId": "string", "typed_data": {} }'{
"close_order": {
"id": "string"
},
"id": "string",
"order_id": "string"
}